Bug 468804 - Review Request: python-tg-devtools - Development tools and templates for TurboGears2
Review Request: python-tg-devtools - Development tools and templates for Turb...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alan Pevec
Fedora Extras Quality Assurance
: Reopened
Depends On: 468230 503591 507697
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-28 01:15 EDT by Luke Macken
Modified: 2016-09-19 22:39 EDT (History)
6 users (show)

See Also:
Fixed In Version: python-tg-devtools-2.0.2-5.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-18 13:18:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
apevec: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
Proposed patch (1.36 KB, patch)
2009-09-28 20:14 EDT, Alan Pevec
no flags Details | Diff

  None (edit)
Description Luke Macken 2008-10-28 01:15:21 EDT
Spec URL: http://lmacken.fedorapeople.org/rpms/python-tg-devtools.spec
SRPM URL: http://lmacken.fedorapeople.org/rpms/python-tg-devtools-1.9.7-0.2.a4.fc9.src.rpm
Description:
This package contains various paster commands and templates used for
TurboGears2 development.
Comment 1 Luke Macken 2009-06-01 22:05:04 EDT
http://lmacken.fedorapeople.org/rpms/python-tg-devtools-2.0-4.fc10.src.rpm
http://lmacken.fedorapeople.org/rpms/python-tg-devtools.spec

* Mon Jun 01 2009 Luke Macken <lmacken@redhat.com> - 2.0-4
- Conditionally require python-sqlite2

* Mon Jun 01 2009 Luke Macken <lmacken@redhat.com> - 2.0-3
- Require python-catwalk

* Mon Jun 01 2009 Luke Macken <lmacken@redhat.com> - 2.0-2
- Require python-repoze-who-testutil

* Sun May 31 2009 Luke Macken <lmacken@redhat.com> - 2.0-1
- Update to 2.0 final
- Sync our requirements
- Remove the setuptools wsgiref patch
- Disable unit tests until Catwalk is packaged

* Tue Oct 28 2008 Luke Macken <lmacken@redhat.com> - 1.9.7-0.2.a4
- Swap out tg.ext.repoze.who for tgext.authorization
Comment 2 Alan Pevec 2009-09-28 15:14:13 EDT
For the review I'll take latest http://lmacken.fedorapeople.org/rpms/python-tg-devtools-2.0.2-2.fc11.src.rpm
Comment 3 Alan Pevec 2009-09-28 19:25:41 EDT
FYI, here is the status of dependencies in F-11:
- python-repoze-what-plugins-sql (submitted for stable)
- python-repoze-what-quickstart (blocks on above being in stable)
- python-tgext-admin (submitted for stable)
- python-tgext-crud (submitted for stable)
- TurboGears2 (CVS requested)
- python-catwalk (CVS requested)

%check should be uncommented, versions specified in test_requirements are missing:
- python-repoze-tm2 >= 1.0a4
- python-zope-sqlalchemy >= 0.4
- python-toscawidgets >= 0.9.7.1
- python-sprox >= 0.6.4    (this version is not even in rawhide/F12)

On F11 build fails with python-migrate0.5 missing error while there's python-migrate >= 0.5 on F11 and higher. Fix is to include it conditionally.

Some files have execute bit set, producing rpmlint errors:
python-tg-devtools.noarch: E: wrong-script-interpreter /usr/lib/python2.6/site-packages/devtools/templates/turbogears/ez_setup/__init__.py python
python-tg-devtools.noarch: E: script-without-shebang /usr/lib/python2.6/site-packages/devtools/templates/turbogears/ez_setup/README.txt

Fix is to use explicit %defattr(0644,root,root,0755).

Patch for the .spec follows.
Comment 4 Alan Pevec 2009-09-28 19:30:16 EDT
> %check should be uncommented
I mean: commented out
Comment 5 Alan Pevec 2009-09-28 20:14:34 EDT
Created attachment 362950 [details]
Proposed patch
Comment 6 Alan Pevec 2009-09-28 20:18:28 EDT
With the proposed patch rpmlint output is:

python-tg-devtools.noarch: W: no-documentation

=> ok: upstream tarball doesn't include documentation either
Comment 7 Alan Pevec 2009-09-28 20:34:53 EDT
Assuming proposed patch is applied, here is the review:

 +:ok, =:needs attention, -:needs fixing

MUST Items:
[+] MUST: rpmlint must be run on every package.

python-tg-devtools.noarch: W: no-documentation

=> ok: upstream tarball doesn't include documentation either  

[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license and meet
the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual
license.
[n/a] MUST: If (and only if) the source package includes the text of the
license(s) in its own file, then that file, containing the text of the
license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source,
as provided in the spec URL.

0aa191ec9f98158f977a82ca841f93af  tg.devtools-2.0.2.tar.gz

[+] MUST: The package must successfully compile and build into binary rpms on
at least one supported architecture.
[n/a] MUST: If the package does not successfully compile, build or work on an
architecture, then those architectures should be listed in the spec in
ExcludeArch.
[=] MUST: All build dependencies must be listed in BuildRequires

test_requirements are not listed in BuildRequires, avoided by removing %check section

[n/a] MUST: The spec file MUST handle locales properly. This is done by using
the %find_lang macro.
[n/a] MUST: Every binary RPM package which stores shared library files (not
just symlinks) in any of the dynamic linker's default paths, must call ldconfig
in %post and %postun.
[n/a] MUST: If the package is designed to be relocatable, the packager must
state this fact in the request for review
[+] MUST: A package must own all directories that it creates. If it does not
create a directory that it uses, then it should require a package which does
create that directory.
[+] MUST: A package must not contain any duplicate files in the %files listing.
[+] MUST: Permissions on files must be set properly. Executables should be set
with executable permissions, for example. Every %files section must include a
%defattr(...) line.
[+] MUST: Each package must have a %clean section, which contains rm -rf
%{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: Each package must consistently use macros, as described in the macros
section of Packaging Guidelines.
[+] MUST: The package must contain code, or permissible content. This is
described in detail in the code vs. content section of Packaging Guidelines.
[n/a] MUST: Large documentation files should go in a doc subpackage.
[+] MUST: If a package includes something as %doc, it must not affect the
runtime of the application.
[n/a] MUST: Header files must be in a -devel package.
[n/a] MUST: Static libraries must be in a -static package.
[n/a] MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'
(for directory ownership and usability).
[n/a] MUST: If a package contains library files with a suffix (e.g.
libfoo.so.1.1), then library files that end in .so (without suffix) must go in
a -devel package.
[n/a] MUST: In the vast majority of cases, devel packages must require the base
package using a fully versioned dependency: Requires: %{name} =
%{version}-%{release}
[n/a] MUST: Packages must NOT contain any .la libtool archives, these should be
removed in the spec.
[n/a] MUST: Packages containing GUI applications must include a %{name}.desktop
file, and that file must be properly installed with desktop-file-install in the
%install section.
[+] MUST: Packages must not own files or directories already owned by other
packages.
[+] MUST: At the beginning of %install, each package MUST run rm -rf
%{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: All filenames in rpm packages must be valid UTF-8.

APPROVED
Comment 8 Luke Macken 2009-09-29 11:42:36 EDT
New Package CVS Request
=======================
Package Name: python-tg-devtools
Short Description: Development tools and templates for TurboGears2
Owners: lmacken toshio
Branches: F-11 EL-5
Comment 9 Kevin Fenzi 2009-09-29 15:54:26 EDT
cvs done (with F-12 added).
Comment 10 Fedora Update System 2009-10-22 18:02:46 EDT
python-tg-devtools-2.0.2-4.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/python-tg-devtools-2.0.2-4.fc11
Comment 11 Luke Macken 2009-10-22 18:03:09 EDT
Built for rawhide, F-11, and F-12.

Waiting for python-migrate0.5 for EL-5
Comment 12 Fedora Update System 2009-10-27 02:51:35 EDT
python-tg-devtools-2.0.2-4.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-tg-devtools'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-10781
Comment 13 Fedora Update System 2009-11-17 10:26:03 EST
python-tg-devtools-2.0.2-5.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/python-tg-devtools-2.0.2-5.el5
Comment 14 Fedora Update System 2009-11-18 15:19:34 EST
python-tg-devtools-2.0.2-5.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-tg-devtools'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-0851
Comment 15 Fedora Update System 2010-03-17 15:12:44 EDT
python-tg-devtools-2.0.2-5.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Jan ONDREJ 2012-07-16 05:38:07 EDT
Why this is missing for EPEL6? Plase, can you add it?
Comment 17 Luke Macken 2012-07-16 11:08:04 EDT
Package Change Request
======================
Package Name: python-tg-devtools
New Branches: el6
Owners: lmacken
Comment 18 Gwyn Ciesla 2012-07-16 12:15:30 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.